#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1608\r"; sleep 2;
echo -e "write (0,1) -1667\r"; sleep 2;
echo -e "write (0,2) -1580\r"; sleep 2;
echo -e "write (0,3) -1600\r"; sleep 2;
echo -e "write (0,4) -1536\r"; sleep 2;
echo -e "write (0,5) -1563\r"; sleep 2;
echo -e "write (0,6) -1684\r"; sleep 2;
echo -e "write (0,9) -1564\r"; sleep 2;
echo -e "write (0,10) -1630\r"; sleep 2;
echo -e "write (0,11) -1477\r"; sleep 2;
echo -e "write (0,12) -1503\r"; sleep 2;
echo -e "write (0,13) -1517\r"; sleep 2;
echo -e "write (0,14) -1589\r"; sleep 2;
echo -e "write (1,0) -1478\r"; sleep 2;
echo -e "write (1,1) -1563\r"; sleep 2;
echo -e "write (1,2) -1429\r"; sleep 2;
echo -e "write (1,3) -1366\r"; sleep 2;
echo -e "write (1,4) -1600\r"; sleep 2;
echo -e "write (1,5) -1476\r"; sleep 2;
echo -e "write (1,6) -1439\r"; sleep 2;
echo -e "write (1,9) -1584\r"; sleep 2;
echo -e "write (1,10) -1415\r"; sleep 2;
echo -e "write (1,11) -1415\r"; sleep 2;
echo -e "write (1,12) -1433\r"; sleep 2;
echo -e "write (1,13) -1534\r"; sleep 2;
echo -e "write (1,14) -1373\r"; sleep 2;
echo -e "write (2,0) -1556\r"; sleep 2;
echo -e "write (2,1) -1442\r"; sleep 2;
echo -e "write (2,2) -1418\r"; sleep 2;
echo -e "write (2,3) -1414\r"; sleep 2;
echo -e "write (2,4) -1628\r"; sleep 2;
echo -e "write (2,5) -1499\r"; sleep 2;
echo -e "write (2,6) -1579\r"; sleep 2;
echo -e "write (2,9) -1403\r"; sleep 2;
echo -e "write (2,10) -1363\r"; sleep 2;
echo -e "write (2,11) -1507\r"; sleep 2;
echo -e "write (2,12) -1505\r"; sleep 2;
echo -e "write (2,14) -1491\r"; sleep 2;
echo -e "write (3,0) -1689\r"; sleep 2;
echo -e "write (3,1) -1689\r"; sleep 2;
echo -e "write (3,2) -1566\r"; sleep 2;
echo -e "write (3,3) -1664\r"; sleep 2;
echo -e "write (3,4) -1697\r"; sleep 2;
echo -e "write (3,5) -1466\r"; sleep 2;
echo -e "write (3,6) -1389\r"; sleep 2;
echo -e "write (3,9) -1501\r"; sleep 2;
echo -e "write (3,10) -1497\r"; sleep 2;
echo -e "write (3,11) -1331\r"; sleep 2;
echo -e "write (3,12) -1442\r"; sleep 2;
echo -e "write (3,13) -1479\r"; sleep 2;
echo -e "write (3,14) -1592\r"; sleep 2;
echo -e "write (4,0) -1331\r"; sleep 2;
echo -e "write (4,1) -1589\r"; sleep 2;
echo -e "write (4,2) -1529\r"; sleep 2;
echo -e "write (4,3) -1608\r"; sleep 2;
echo -e "write (4,4) -1517\r"; sleep 2;
echo -e "write (4,5) -1530\r"; sleep 2;
echo -e "write (4,6) -1658\r"; sleep 2;
echo -e "write (4,9) -1656\r"; sleep 2;
echo -e "write (4,10) -1539\r"; sleep 2;
echo -e "write (4,11) -1373\r"; sleep 2;
echo -e "write (4,12) -1653\r"; sleep 2;
echo -e "write (4,13) -1331\r"; sleep 2;
echo -e "write (4,14) -1523\r"; sleep 2;
echo -e "write (5,0) -1295\r"; sleep 2;
echo -e "write (5,1) -1439\r"; sleep 2;
echo -e "write (5,2) -1487\r"; sleep 2;
echo -e "write (5,3) -1446\r"; sleep 2;
echo -e "write (5,4) -1479\r"; sleep 2;
echo -e "write (5,5) -1454\r"; sleep 2;
echo -e "write (5,6) -1535\r"; sleep 2;
echo -e "write (5,9) -1445\r"; sleep 2;
echo -e "write (5,10) -1366\r"; sleep 2;
echo -e "write (5,11) -1617\r"; sleep 2;
echo -e "write (5,12) -1453\r"; sleep 2;
echo -e "write (5,14) -1514\r"; sleep 2;
echo -e "write (5,15) -1392\r"; sleep 2;
echo -e "write (6,0) -1526\r"; sleep 2;
echo -e "write (6,1) -1600\r"; sleep 2;
echo -e "write (6,2) -1644\r"; sleep 2;
echo -e "write (6,3) -1555\r"; sleep 2;
echo -e "write (6,4) -1600\r"; sleep 2;
echo -e "write (6,5) -1549\r"; sleep 2;
echo -e "write (6,6) -1532\r"; sleep 2;
echo -e "write (6,9) -1597\r"; sleep 2;
echo -e "write (6,10) -1523\r"; sleep 2;
echo -e "write (6,12) -1588\r"; sleep 2;
echo -e "write (6,13) -1450\r"; sleep 2;
echo -e "write (6,14) -1655\r"; sleep 2;
echo -e "write (7,0) -1555\r"; sleep 2;
echo -e "write (7,1) -1431\r"; sleep 2;
echo -e "write (7,2) -1559\r"; sleep 2;
echo -e "write (7,3) -1585\r"; sleep 2;
echo -e "write (7,4) -1526\r"; sleep 2;
echo -e "write (7,5) -1286\r"; sleep 2;
echo -e "write (7,6) -1696\r"; sleep 2;
echo -e "write (7,9) -1528\r"; sleep 2;
echo -e "write (7,10) -1600\r"; sleep 2;
echo -e "write (7,11) -1523\r"; sleep 2;
echo -e "write (7,12) -1625\r"; sleep 2;
echo -e "write (7,13) -1465\r"; sleep 2;
echo -e "write (7,14) -1570\r"; sleep 2;
echo -e "write (8,0) -1470\r"; sleep 2;
echo -e "write (8,1) -1431\r"; sleep 2;
echo -e "write (8,2) -1504\r"; sleep 2;
echo -e "write (8,3) -1549\r"; sleep 2;
echo -e "write (8,4) -1624\r"; sleep 2;
echo -e "write (8,5) -1554\r"; sleep 2;
echo -e "write (8,6) -1462\r"; sleep 2;
echo -e "write (8,9) -1405\r"; sleep 2;
echo -e "write (8,10) -1600\r"; sleep 2;
echo -e "write (8,11) -1606\r"; sleep 2;
echo -e "write (8,12) -1618\r"; sleep 2;
echo -e "write (8,13) -1279\r"; sleep 2;
echo -e "write (8,14) -1670\r"; sleep 2;
echo -e "write (9,0) -1642\r"; sleep 2;
echo -e "write (9,1) -1411\r"; sleep 2;
echo -e "write (9,2) -1377\r"; sleep 2;
echo -e "write (9,3) -1497\r"; sleep 2;
echo -e "write (9,4) -1382\r"; sleep 2;
echo -e "write (9,5) -1446\r"; sleep 2;
echo -e "write (9,6) -1466\r"; sleep 2;
echo -e "write (9,9) -1636\r"; sleep 2;
echo -e "write (9,10) -1682\r"; sleep 2;
echo -e "write (9,11) -1404\r"; sleep 2;
echo -e "write (9,12) -1673\r"; sleep 2;
echo -e "write (9,13) -1600\r"; sleep 2;
echo -e "write (9,14) -1607\r"; sleep 2;
echo -e "write (10,0) -1484\r"; sleep 2;
echo -e "write (10,1) -1616\r"; sleep 2;
echo -e "write (10,2) -1568\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1597\r"; sleep 2;
echo -e "write (10,5) -1443\r"; sleep 2;
echo -e "write (10,6) -1427\r"; sleep 2;
echo -e "write (10,9) -1653\r"; sleep 2;
echo -e "write (10,10) -1510\r"; sleep 2;
echo -e "write (10,11) -1614\r"; sleep 2;
echo -e "write (10,12) -1600\r"; sleep 2;
echo -e "write (10,13) -1351\r"; sleep 2;
echo -e "write (10,14) -1669\r"; sleep 2;
echo -e "write (11,0) -1405\r"; sleep 2;
echo -e "write (11,1) -1658\r"; sleep 2;
echo -e "write (11,2) -1677\r"; sleep 2;
echo -e "write (11,3) -1648\r"; sleep 2;
echo -e "write (11,4) -1629\r"; sleep 2;
echo -e "write (11,5) -1429\r"; sleep 2;
echo -e "write (11,6) -1526\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1488\r"; sleep 2;
echo -e "write (11,11) -1502\r"; sleep 2;
echo -e "write (11,12) -1551\r"; sleep 2;
echo -e "write (11,13) -1431\r"; sleep 2;
echo -e "write (11,14) -1529\r"; sleep 2;
echo -e "write (12,0) -1416\r"; sleep 2;
echo -e "write (12,1) -1571\r"; sleep 2;
echo -e "write (12,2) -1415\r"; sleep 2;
echo -e "write (12,3) -1563\r"; sleep 2;
echo -e "write (12,4) -1661\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1489\r"; sleep 2;
echo -e "write (12,9) -1485\r"; sleep 2;
echo -e "write (12,10) -1392\r"; sleep 2;
echo -e "write (12,11) -1523\r"; sleep 2;
echo -e "write (12,12) -1407\r"; sleep 2;
echo -e "write (12,13) -1472\r"; sleep 2;
echo -e "write (12,14) -1549\r"; sleep 2;
echo -e "write (13,0) -1523\r"; sleep 2;
echo -e "write (13,1) -1619\r"; sleep 2;
echo -e "write (13,2) -1583\r"; sleep 2;
echo -e "write (13,3) -1453\r"; sleep 2;
echo -e "write (13,4) -1381\r"; sleep 2;
echo -e "write (13,5) -1484\r"; sleep 2;
echo -e "write (13,6) -1472\r"; sleep 2;
echo -e "write (13,9) -1613\r"; sleep 2;
echo -e "write (13,10) -1482\r"; sleep 2;
echo -e "write (13,11) -1322\r"; sleep 2;
echo -e "write (13,12) -1403\r"; sleep 2;
echo -e "write (13,13) -1478\r"; sleep 2;
echo -e "write (13,14) -1417\r"; sleep 2;
echo -e "write (14,0) -1389\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1358\r"; sleep 2;
echo -e "write (14,4) -1408\r"; sleep 2;
echo -e "write (14,5) -1442\r"; sleep 2;
echo -e "write (14,6) -1474\r"; sleep 2;
echo -e "write (14,7) -1690\r"; sleep 2;
echo -e "write (14,9) -1506\r"; sleep 2;
echo -e "write (14,10) -1372\r"; sleep 2;
echo -e "write (14,11) -1523\r"; sleep 2;
echo -e "write (14,12) -1473\r"; sleep 2;
echo -e "write (14,13) -1459\r"; sleep 2;
echo -e "write (14,14) -1545\r"; sleep 2;
echo -e "write (15,0) -1652\r"; sleep 2;
echo -e "write (15,1) -1609\r"; sleep 2;
echo -e "write (15,2) -1599\r"; sleep 2;
echo -e "write (15,15) -1644\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7008 > ../log/fms_hvon_7008_$t.tex
echo Set new HV
cat ../log/fms_hvon_7008_$t.tex
